Skip to main content
GET
/
v1
/
households
List all households
curl --request GET \
  --url https://api.givebutter.com/v1/households \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "head_contact_id": 123,
    "account_id": 123,
    "envelope_name": "<string>",
    "note": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "contacts": [
      {
        "id": "<string>",
        "company_name": "<string>",
        "first_name": "<string>",
        "first_name_display": "<string>",
        "last_name": "<string>",
        "last_name_display": "<string>",
        "middle_name": "<string>",
        "name_display": "<string>",
        "primary_email": "<string>",
        "primary_phone": "<string>",
        "type": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string | null
sortBy
string | null
sortByDesc
string | null
page
string
default:1
headContactId
string

Comma-separated list of head contact IDs to filter by.

contacts
string

Comma-separated list of contact IDs to filter by. Returns households containing any of the specified contacts.

Response

Array of HouseholdResource

id
integer
required
name
string
required
head_contact_id
integer | null
required
account_id
integer
required
envelope_name
string | null
required
note
string | null
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
contacts
object[]